package cz.moneta.test.dsl.util.task.auto.smartauto.newcalculation;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.NewCalculationPage;
import cz.moneta.test.dsl.auto.smartauto.shared.ItemType;

import java.util.function.Function;

public class ItemTypeTasks {

    private final Harness harness;

    public ItemTypeTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<NewCalculationPage, NewCalculationPage> chooseItemType (ItemType itemType) {
        return start -> start
            .clickItemTypeSearchArrow()
            .clickAgroItemType(itemType);
    }
}
